Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawTriangleLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawPathLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawPolygonLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawTriangleLogicalStructure

public class DrawTriangleLogicalStructure extends DrawPolygonLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Point[]`
  `points`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawPolygonLogicalStructure

  `knobs, lineCap, showTitleLabelBackground, titleRotationMode`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, eventPassThrough, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, rotation, scale, shadow, showHover, showResizeOutline, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawTriangleLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### points

    public Point[] points

- ## Constructor Details

  - ### DrawTriangleLogicalStructure

    public DrawTriangleLogicalStructure()